Package org.apache.cayenne.exp.property

# Class NumericIdProperty<E extends Number>

java.lang.Object
org.apache.cayenne.exp.property.BaseProperty<E>
org.apache.cayenne.exp.property.NumericProperty<E>
org.apache.cayenne.exp.property.NumericIdProperty<E>

All Implemented Interfaces:
  `ComparableProperty<E>`, `IdProperty<E>`, `Property<E>`

public class NumericIdProperty<E extends Number> extends NumericProperty<E> implements IdProperty<E>
Property that represents numeric PK

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.exp.property.BaseProperty

  `expressionSupplier, path, type`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NumericIdProperty(String attribute, CayennePath path, String entityName, Class<E> type)`
  Constructs a new property with the given name and expression

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttributeName()`
  `String`
  `getEntityName()`

  ### Methods inherited from class org.apache.cayenne.exp.property.NumericProperty

  `abs, add, add, alias, avg, div, div, enclosing, max, min, mod, mod, mul, mul, neg, sqrt, sub, sub, sum`

  ### Methods inherited from class org.apache.cayenne.exp.property.BaseProperty

  `aggregate, asc, ascInsensitive, ascInsensitives, ascs, count, countDistinct, desc, descInsensitive, descInsensitives, descs, eq, eq, equals, function, function, getAlias, getExpression, getFrom, getFromAll, getName, getPath, getType, hashCode, in, in, in, isFalse, isNotNull, isNull, isTrue, ne, ne, nin, nin, nin, operator, operator, setIn, setInAll`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.exp.property.ComparableProperty

  `between, between, gt, gt, gtAll, gtAny, gte, gte, gteAll, gteAny, lt, lt, ltAll, ltAny, lte, lte, lteAll, lteAny`

  ### Methods inherited from interface org.apache.cayenne.exp.property.IdProperty

  `eq`

  ### Methods inherited from interface org.apache.cayenne.exp.property.Property

  `getAlias, getExpression, getName, getPath, getType`

- ## Constructor Details

  - ### NumericIdProperty

    protected NumericIdProperty(String attribute, CayennePath path, String entityName, Class<E> type)
    Constructs a new property with the given name and expression
    Parameters:
      `attribute` - PK attribute name (optional, can be omitted for single PK entity)
      `path` - cayenne path (optional, can be omitted for ID of the root)
      `entityName` - name of the entity (mandatory)
      `type` - of the property (mandatory)
    See Also:
      - `PropertyFactory.createNumericId(String, String, String, Class)`

- ## Method Details

  - ### getEntityName

    public String getEntityName()
    Specified by:
      `getEntityName` in interface `IdProperty<E extends Number>`

  - ### getAttributeName

    public String getAttributeName()
    Specified by:
      `getAttributeName` in interface `IdProperty<E extends Number>`